﻿using System;
using System.Data;
using Telerik.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI;
using System.Collections;
using System.Reflection;
using NorthwindModel;
using System.Linq;

public partial class _Default : System.Web.UI.Page
{
    protected void RadGrid1_InsertCommand(object sender, GridCommandEventArgs e)
    {
        GridEditableItem editItem = e.Item as GridEditableItem;
        using (NorthwindEntities1 myContext = new NorthwindEntities1())
        {
            var category = new Category();

            editItem.UpdateValues(category);

            myContext.AddToCategories(category);
            myContext.SaveChanges();
        }
    }

    protected void RadGrid1_UpdateCommand(object sender, GridCommandEventArgs e)
    {
        GridEditableItem editItem = e.Item as GridEditableItem;
        using (NorthwindEntities1 myContext = new NorthwindEntities1())
        {
            var categoryId = (int)editItem.GetDataKeyValue("CategoryID");
            var category = myContext.Categories.Where(p => p.CategoryID == categoryId).FirstOrDefault();

            editItem.UpdateValues(category);
            myContext.SaveChanges();
        }
    }

    protected void RadGrid1_DeleteCommand(object sender, GridCommandEventArgs e)
    {
        GridEditableItem editItem = e.Item as GridEditableItem;
        using (NorthwindEntities1 myContext = new NorthwindEntities1())
        {
            var categoryId = (int)editItem.GetDataKeyValue("CategoryID");
            var category = myContext.Categories.Where(p => p.CategoryID == categoryId).First();

            myContext.DeleteObject(category);
            myContext.SaveChanges();
        }
    }
}
